#include "ti86asm.inc"
#include "asm86.h"
#include "ti86math.inc"
#include "ti86ops.inc"
#include "ti86abs.inc"

.org _asm_exec_ram

 		nop			     		;ASE comment start
		jp start
 		.dw 0
		.dw title

title:
 		.db "ZCust by Terrence Wong",0   ;ASE comment end



start:	
		call _runindicoff		;call runindicator off
		call _clrLCD                        ;clear screen                     
	
		ld a, 1
		ld (_penRow), a
		ld a, 25
		ld (_penCol), a
		ld hl,ProgTitle 	
		call _vputs          ;put the small font string to cursor position 

		ld a, 8
		ld (_penRow), a
		ld a, 25
		ld (_penCol), a
		ld hl,ProgTitle2 	
		call _vputs

		ld a, 15
		ld (_penRow), a
		ld a, 25
		ld (_penCol), a
		ld hl,ProgTitle3
		call _vputs

		ld a, 22
		ld (_penRow), a
		ld a, 25
		ld (_penCol), a
		ld hl,ProgYou
		call _vputs

		ld hl, $0003
		ld (_curRow), hl
		ld hl, ProgTitle4
		call _puts			;put normal font string  to cursor position
	
		ld hl,Slot1			;First entry: Rascall      
        ld de,$d1e4            ;_custmnames=space reserved for custom entries
        ld ($d1c5),de           ;put pointer in first spot
        ld bc,8      		;length of string =7+1 (the one byte is for the symbol after it. 
							; You can have an "(", "ans", "<space>", or nothing at all...)
        ldir                    ;copy the string to the reserved space
        
		ld hl,Slot2			;Second Entry: Asm(
		ld de,$d1ed			;10 bytes later (in Hexadecimal)
		ld ($d1c7),de		;2 bytes later (in Hex)
		ld bc,4
		ldir

		ld hl,Slot3			;Third Entry: chmasc
		ld de,$d1f7
		ld ($d1c9),de
		ld bc,7
		ldir

		ld hl,Slot4		;Fourth Entry: sysmon
		ld de,$d201
		ld ($d1cb),de
		ld bc,7
		ldir

;		ld hl,Slot5			;Fifth Entry: blank for asaptrig
;		ld de,$d20b
;		ld ($d1cd),de
;		ld bc,7
;		ldir

		ld hl,Slot6			;Sixth Entry: nDer(
		ld de,$d215
		ld ($d1cf),de
		ld bc,5
		ldir

		ld hl,Slot7			;Seventh Entry: !
		ld de,$d21f
		ld ($d1d1),de
		ld bc,2
		ldir

		ld hl,Slot8			;Eighth Entry: _
		ld de,$d229
		ld ($d1d3),de
		ld bc,2
		ldir
	
		ld hl,Slot9			;Ninth Entry: >FRAC
		ld de,$d239
		ld ($d1d5),de
		ld bc,6
		ldir

		ld hl,Slot10			;Tenth Entry: fnint(
		ld de,$d249
		ld ($d1d7),de
		ld bc,6
		ldir

		;ld hl,Slot11			;Eleventh Entry: Blank
		;ld de,$d259
		;ld ($d1d9),de
		;ld bc,?
		;ldir

		;ld hl,Slot12			;Twelfth Entry: Blank
		;ld de,$d269
		;ld ($d1db),de
		;ld bc,?
		;ldir

		;ld hl,Slot13			;Thirteenth Entry: Blank
		;ld de,$d279
		;ld ($d1dd),de
		;ld bc,?
		;ldir

		;ld hl,Slot14			;Fourteenth Entry: Blank
		;ld de,$d289
		;ld ($d1df),de
		;ld bc,?
		;ldir

		;ld hl,Slot15			;Fifteenth Entry: Blank
		;ld de,$d299
		;ld ($d1c1),de
		;ld bc,?
		;ldir
		call _getkey			;duh
		call _clrScrn			;duh
		call _homeup			;put cursor to top left
		res 5,(iy+0)			;no "Done" when you quit
	    ret						;back to the OS


ProgTitle: 
		.db "Custom Menu Restorer",0
ProgTitle2:
		.db "Version 5.2.19.99",0
ProgTitle3:
		.db "by Terrence Wong",0
ProgTitle4:
		.db "Press any key to exit"
		.db "and acknowledge my   "
		.db "existance.",0

ProgYou:
	.db "Customized by you",0  ;your name here

Slot1:
        .db $00      		;this byte inserts nothing after "Rascall"   
        .db "Rascall",0

Slot2:
		.db $60         	;This one puts an "(" after it, giving you "Asm("
        .db "Asm",0
	
Slot3:
		.db $00
		.db "chmasc",0

Slot4:
		.db $00
		.db "sysmon"

;Slot5:
;		.db $00
;		.db ""

Slot6:
		.db $60
		.db "nDer"

Slot7:
		.db $00
		.db "!"

Slot8:
		.db $00
		.db "_"

Slot9:
		.db $00
		.db Lconvert,"Frac",0

Slot10:
		.db $60
		.db "fnInt",0

;Slot11:
;		.db $00
;		.db ""

;Slot12:
;		.db $00
;		.db ""

;Slot13:
;		.db $00
;		.db ""

;Slot14:
;		.db $00
;		.db ""

;Slot15:
;		.db $00
;		.db ""






.end
